class Admin::ApplicationFormAgreementsController < OrbitAdminController

  def initialize
    super
    @app_title = 'application_form'
  end

  def index
    @application_form_agreement = ApplicationFormAgreement.first || ApplicationFormAgreement.create
    @url = admin_application_form_agreement_path(@application_form_agreement)
  end

  def update
    @application_form_agreement = ApplicationFormAgreement.first
    @application_form_agreement.update_attributes(params.require(:application_form_agreement).permit!)
    
    redirect_to admin_application_form_agreements_path, notice: t('application_form.save_success')
  end

end
